> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download pre-adverse action document

> Downloads the PDF file for the pre-adverse action notice or the case report that was active at the time of the pre-adverse action.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/id/{caseId}/preadverse/{type}/pdf/download
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/preadverse/{type}/pdf/download:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
      - schema:
          type: string
          enum:
            - notice
            - report
        name: type
        in: path
        required: true
    get:
      tags:
        - Cases
      summary: Download pre-adverse action document
      description: >-
        Downloads the PDF file for the pre-adverse action notice or the case
        report that was active at the time of the pre-adverse action.
      operationId: get-case-id-caseId-preadverse-type-pdf-download
      responses:
        '200':
          description: OK
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: The case is not in an adverse action process.
        '500':
          description: Internal Server Error
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````